import request from '@/utils/request'

// 查询咨询统计列表
export function listDrugReportCount(query) {
  return request({
    url: '/his/drugReportCount/list',
    method: 'get',
    params: query
  })
}

// 查询咨询统计详细
export function getDrugReportCount(id) {
  return request({
    url: '/his/drugReportCount/' + id,
    method: 'get'
  })
}

// 新增咨询统计
export function addDrugReportCount(data) {
  return request({
    url: '/his/drugReportCount',
    method: 'post',
    data: data
  })
}

// 修改咨询统计
export function updateDrugReportCount(data) {
  return request({
    url: '/his/drugReportCount',
    method: 'put',
    data: data
  })
}

// 删除咨询统计
export function delDrugReportCount(id) {
  return request({
    url: '/his/drugReportCount/' + id,
    method: 'delete'
  })
}

// 导出咨询统计
export function exportDrugReportCount(query) {
  return request({
    url: '/his/drugReportCount/export',
    method: 'get',
    params: query
  })
}